cURL
curl --request GET \ --url https://api.factory.ai/api/v0/computers \ --header 'Authorization: Bearer <token>'
{ "computers": [ { "id": "<string>", "name": "<string>", "createdAt": 123, "hostId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "hostname": "<string>", "provisioningSteps": [ { "id": "<string>", "name": "<string>", "status": "<string>", "error": "<string>", "startedAt": 123, "completedAt": 123, "installSessionId": "<string>" } ], "relayClientUrl": "<string>", "relayAgentUrl": "<string>", "remoteUser": "<string>" } ] }
Returns all persistent computer environments for the authenticated organization.
Documentation IndexFetch the complete documentation index at: https://docs.factory.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.factory.ai/llms.txt
Use this file to discover all available pages before exploring further.
Factory API key or JWT token for authentication
Response for status 200
Show child attributes